# Beneficiaries

## Add beneficiaries

 - [POST /beneficiaries](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchcreate.md): Create one or more beneficiaries for the logged-in corporate or consumer identity.

## Get all beneficiaries

 - [GET /beneficiaries](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiariesget.md): Retrieves the beneficiaries that match the query parameters.

## Remove beneficiaries

 - [POST /beneficiaries/remove](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchremove.md): Removes one or more beneficiaries from the beneficiaries list identified by the id path parameter used in the array.

## Get a beneficiary

 - [GET /beneficiaries/{id}](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiaryget.md): Retrieves a beneficiary identified by the id path parameter

## Get all beneficiary batches

 - [GET /beneficiaries/batch](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchesget.md): Retrieves all beneficiary batches matching the query parameters and that belong to the logged-in identity.

## Get a beneficiary batch

 - [GET /beneficiaries/batch/{id}](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchget.md): Retrieves the details of a beneficiary batch identified by the batchId path parameter

## Issue a one-time password to verify a beneficiary batch

 - [POST /beneficiaries/batch/{id}/challenges/otp/{channel}](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchscachallenge.md): Starts the verification process for updating the beneficiaries batch in which a one-time password is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/otp/{channel} endpoint.

You should only start this process if the beneficiary update state is PENDING_CHALLENGE.

_Note that on the Sandbox Environment, text messages are not sent and the one-time-password is always \"123456\"._

## Verify a beneficiary batch using a one-time password

 - [POST /beneficiaries/batch/{id}/challenges/otp/{channel}/verify](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchscaverify.md): Completes the verification process for updating the beneficiary batch.

If the outcome of the verification is successful, the beneficiary update batch is executed.

_Note that on the Sandbox Environment, text messages are not sent and the verificationCode is always \"123456\"._

## Issue a push notification that can be used to verify a beneficiary batch

 - [POST /beneficiaries/batch/{id}/challenges/push/{channel}](https://api.weavr.io/products/multi/openapi/beneficiaries/beneficiarybatchscachallengepush.md): Starts the verification process for updating a beneficiary batch in which a push notification is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/push/{channel} endpoint.

You should only start this process if the beneficiary update operation state is PENDING_CHALLENGE.

